DECLARE
tableDDl varchar2(4000);

CURSOR C1 IS
  select a.table_name table_name, b.partitioned partitioned,a.partition_size
  from PARTITION_TABLES a, user_tables b
  where lower(a.table_name) = lower(b.table_name)
  AND a.partition_size=5
  and a.table_name in ('PRE_STAGING_ENTITY_METRICS');

BEGIN
FOR R1 IN C1 LOOP
    begin
        tableDDl:='ALTER TABLE ' ||R1.table_name|| ' set interval (10)' ;
        
        execute immediate tableDDl;
        
        update PARTITION_TABLES
        set partition_size=10
        where table_name=R1.table_name;
        
        commit;
    exception
        when others then null;
    end;
END LOOP;
END;